%define _name libgtop
%define ver_major 2.10
%def_disable static
%def_with examples

Name: libgtop2
Version: %ver_major.2
Release: alt1

Summary: LibGTop library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch1: %_name-2.7.92-alt-locale.patch
Patch2: %_name-2.0.0-texinfo.patch
Patch4: %_name-2.9.90-alt-examples_makefile.patch
Patch5: %_name-2.0.1-alt-as.patch
Patch6: %_name-2.0.7-alt-acinclude.patch

%define glib_ver 2.6.3

Requires: glib2 >= %glib_ver

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

BuildPreReq: kernel-headers-std
BuildPreReq: glib2-devel >= %glib_ver

# Automatically added by buildreq on Thu Apr 08 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ gcc-g77 glib2-devel libgdbm-devel libpopt-devel libstdc++-devel pkgconfig

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package utils
Group: System/Base
Summary: The LibGTop utils
Requires: %name = %version-%release

%description utils
This package contains some libGTop utils

%package examples
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Summary: The LibGTop samples

%description examples
This package contains some example of using %name library

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: libgdbm-devel
Requires: libpopt-devel
Requires(post): %install_info
Requires(preun): %uninstall_info

%description devel
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries for development with %name.

%prep
%setup -q -n %_name-%version
#%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%__rm -rf doc/*.info
%__subst 's,\(\#\#f\)\#\#,\1,' examples/sysdeps.c

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a -c -f

%configure \
    %{subst_enable static} \
%if_with examples
	--with-libgtop-examples \
%endif
	--with-libgtop-inodedb  \
	--with-libgtop-smp

%make_build

%install
%makeinstall

# remove none-packaged files
%__rm -f %buildroot%_infodir/dir

%find_lang %_name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %name.info

%preun devel
%uninstall_info %name.info

%files -f %_name-2.0.lang
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files  utils
%_bindir/*inode*

%if_with examples
%files examples
%dir %_libdir/%_name
%_libdir/%_name/*
%endif

%files devel
%_includedir/%_name-2.0
%_libdir/*.so
%_libdir/pkgconfig/*
%_infodir/*.info*
%doc AUTHORS ChangeLog

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Jun 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1
- isdn patch removed (fixed in upstream).

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sat Jan 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt2
- do not package .la files.
- do not build devel-static subpackage by default.
- make buildable with recent autoconf (2.59).

* Mon Oct 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat May 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- new version.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt3
- rebuild to fix broken .la file.

* Fri Sep 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt2
- build without internal gnomesupport (this was a hack). Use our libpopt instead.
- additional package splitting (added utils(for daemon) and examples(optional))
- added source url

* Sat Jun 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus
- Applied patches from libgtop package
- daemon_build.patch
